TokenControllerUpdateAssociatedTokenDataType Method |
PUT /Token/AttributeToken/{id}
Updates an attribute tokens data type.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("AttributeToken")]
public HttpResponseMessage UpdateAssociatedTokenDataType(
Guid id,
[FromBodyAttribute] CompatibleDataTypes dataType,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("AttributeToken")>
Public Function UpdateAssociatedTokenDataType (
id As Guid,
<FromBodyAttribute> dataType As CompatibleDataTypes,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"AttributeToken")]
HttpResponseMessage^ UpdateAssociatedTokenDataType(
Guid id,
[FromBodyAttribute] CompatibleDataTypes dataType,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("AttributeToken")>]
member UpdateAssociatedTokenDataType :
id : Guid *
[<FromBodyAttribute>] dataType : CompatibleDataTypes *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the token to update. - dataType
- Type: Dundas.BI.Data.ParametersCompatibleDataTypes
The new data type value for the attribute token. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A status code indicating success or failure.
If successful, the data type of the new token.
See Also